--- gxedit-1.23.orig/Makefile
+++ gxedit-1.23/Makefile
@@ -1,9 +1,9 @@
 BIN_DIR =
 INSTALL = /usr/bin/install
-INSTALL_DIR = /usr/X11R6/bin/
+INSTALL_DIR = $(DESTDIR)/usr/X11R6/bin/
 DOCS = /usr/doc
 SHARE = /usr/share
-CFLAGS = `gtk-config --cflags` -I/usr/local/include -I. -O -Wall -DVERSION=\"1.23\"
+CFLAGS = `gtk-config --cflags` -I. -O2 -g -Wall -DVERSION=\"1.23\"
 GTKEDITOR_CFLAGS = -I../gtkeditor-0.0.6 -I../gtkeditor-0.0.6/gtkeditor
 LIBS = `gtk-config --libs`
 OBJS = gxedit.o net.o utils.o
--- gxedit-1.23.orig/config.h
+++ gxedit-1.23/config.h
@@ -72,21 +72,21 @@
 
 /* international support */
 
-#undef INTERNATIONAL /* set locale */
+#define INTERNATIONAL /* set locale */
 
 /* paths */
 
-#define NETSCAPE "/usr/local/bin/netscape -remote"
-#define EMACS "/usr/bin/emacs"
-#define DES "/bin/des"
-#define IDEA "/bin/idea"
-#define XTERM "/usr/X11R6/bin/xterm"
+#define NETSCAPE "mozilla -remote"
+#define EMACS "emacs"
+#define DES "des"
+#define IDEA "idea"
+#define XTERM "/usr/X11R6/bin/xterm"
 #define AWK "awk"
 #define SED "sed"
 #define VI "vi"
 #define SAY "say"
 #define CVS "cvs"
-#define GDB "xterm -e gdb"
+#define GDB XTERM " -e gdb"
 #define LPR "lpr"
 #define XRN "xrn"
 
--- gxedit-1.23.orig/gxedit.c
+++ gxedit-1.23/gxedit.c
@@ -651,7 +651,7 @@
  if(fd!=NULL) { s = 1; fclose(fd); }
  if(s==0)
  {
-  msgbox("I could not find the 'say' program in /usr/bin. Please make sure you typed 'make say' in the\nGXedit source tree before using this command.\n");
+  msgbox("I could not find the 'say' program in /usr/bin. Please make sure you installed the package rsynth\n before using this command.\n");
   return;
  }
  window2 = gtk_file_selection_new ("Open file");
@@ -678,7 +678,7 @@
  if(fd!=NULL) { s = 1; fclose(fd); }
  if(s==0)
  {
-  msgbox("I could not find the 'say' program in /usr/bin. Please make sure you typed 'make say' in the\nGXedit source tree before using this command.\n");
+  msgbox("I could not find the 'say' program in /usr/bin. Please make sure you installed the package rsynth\n  before using this command.\n");
   g_free(alltext);
   return;
  }
@@ -3125,7 +3125,15 @@
 #ifdef GTK_1_1
 void CB_sel_font_ok(GtkWidget *widget, GtkFontSelectionDialog *fs)
 {
- strcpy(font, gtk_font_selection_dialog_get_font_name(fs));
+ char *newfont = gtk_font_selection_dialog_get_font_name(fs);
+
+ if (newfont)
+   strcpy(font, newfont);
+ /* 
+  * should really have an else clause.  Maybe a popup
+  * explaining the the problem.  -- Chris Waters.
+  */
+
  gtk_widget_destroy(window3);
 }
 #endif
@@ -3135,6 +3143,9 @@
 #ifdef GTK_1_1
  if(window3!=NULL) return;
  window3 = gtk_font_selection_dialog_new ("Select font to use");
+ /* set current font as default in dialog -- Chris Waters */
+ (void)gtk_font_selection_dialog_set_font_name 
+     (GTK_FONT_SELECTION_DIALOG(window3), font);
  gtk_window_position (GTK_WINDOW (window3), GTK_WIN_POS_MOUSE);
  gtk_signal_connect (GTK_OBJECT (window3), "destroy",
  GTK_SIGNAL_FUNC(gtk_widget_destroyed), &window3);
@@ -3579,7 +3590,7 @@
 void CB_ftp_list_ok(GtkWidget *widget, GtkWidget *entry)
 {
  strncpy(tmp_name, tempnam(NULL,".gxe"), 50);
- sprintf(temp,"ftp-ls.sh %s %s %s %s %s", tmp_name, gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
+ sprintf(temp,"/usr/share/gxedit/ftp-ls.sh %s %s %s %s %s", tmp_name, gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
  system(temp);
  open_file(tmp_name, "Can't get listing");
  strcpy(filename, tmp_name);
@@ -3655,7 +3666,7 @@
 void CB_ftp_get_ok(GtkWidget *widget, GtkWidget *entry)
 {
  strncpy(tmp_name, tempnam(NULL,".gxe"), 50);
- sprintf(temp,"ftp.sh /dev/null %s %s %s %s %s %s", gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb4)), tmp_name, gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
+ sprintf(temp,"/usr/share/gxedit/ftp.sh /dev/null %s %s %s %s %s %s", gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb4)), tmp_name, gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
  system(temp);
  open_file(tmp_name, "Can't open file");
  strcpy(filename, tmp_name);
@@ -3745,7 +3756,7 @@
  strcpy(filename, tmp_name);
  CB_save(NULL, NULL);
  strcpy(filename, temp);
- sprintf(temp,"ftp-put.sh /dev/null %s %s %s %s %s %s", gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb4)), tmp_name, gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
+ sprintf(temp,"/usr/share/gxedit/ftp-put.sh /dev/null %s %s %s %s %s %s", gtk_entry_get_text(GTK_ENTRY(entry_box)), gtk_entry_get_text(GTK_ENTRY(eb1)), gtk_entry_get_text(GTK_ENTRY(eb4)), tmp_name, gtk_entry_get_text(GTK_ENTRY(eb2)), gtk_entry_get_text(GTK_ENTRY(eb3)));
  system(temp);
  gtk_widget_destroy(window2);
 }
@@ -5799,7 +5810,7 @@
 
 void CB_sysinfo(GtkWidget *widget, GtkWidget *entry)
 {
- system("xproc &");
+ system("gxproc &");
 }
 
 void CB_ref_close(GtkWidget *widget, GtkWidget *entry)
@@ -5847,7 +5858,7 @@
  gtk_widget_realize (text2);
  gtk_text_insert (GTK_TEXT (text2), NULL, &color, NULL, "HTML reference guide\n\n\n\n", -1);
  gtk_text_insert (GTK_TEXT (text2), NULL, &html, NULL, "General issues:\n\n", -1);
- gtk_text_insert (GTK_TEXT (text2), NULL, &color, NULL, "GXedit can be used to make full HTML pages easily with the simple HTML tags adding commands, the option to preview your work in Netscape, and the HTML syntax highlighting. It works on a simple principle, every tag adding command asking you a question about the tag\n\n", -1);
+ gtk_text_insert (GTK_TEXT (text2), NULL, &color, NULL, "GXedit can be used to make full HTML pages easily with the simple HTML tags adding commands, the option to preview your work in Mozilla, and the HTML syntax highlighting. It works on a simple principle, every tag adding command asking you a question about the tag\n\n", -1);
  gtk_text_insert (GTK_TEXT (text2), NULL, &color, NULL, "You can access those commands from the HTML menu. Althought you can add HTML tags yourself, we included the most common ones there.\n\n", -1);
  gtk_text_insert (GTK_TEXT (text2), NULL, &html, NULL, "\n\nTags adding:\n\n", -1);
  gtk_text_insert (GTK_TEXT (text2), NULL, &color, NULL, "When adding a tag (a tag is simply a way to tell the browser what to do), it turns blue for easy editing.\n\n", -1);
@@ -5899,11 +5910,12 @@
 
 void CB_help(GtkWidget *widget, gpointer data)
 {
- fd = fopen("/usr/doc/GXedit/manual.txt", "r");
+ /* next line may not work if you're not using debian packaging */
+ fd = fopen("/usr/share/gxedit/manual.txt", "r");
  if(fd!=NULL)
  {
   fclose(fd);
-  sprintf(temp, "%s /usr/doc/GXedit/manual.txt &", progname);
+  sprintf(temp, "%s /usr/share/gxedit/manual.txt &", progname);
   system(temp);
  }
  else
@@ -5916,11 +5928,12 @@
                  
 void CB_quickref(GtkWidget *widget, gpointer data)
 {
- fd = fopen("/usr/doc/GXedit/quickref.txt", "r");
+ /* next line may not work if you're not using debian packaging */
+ fd = fopen("/usr/share/gxedit/quickref.txt", "r");
  if(fd!=NULL)
  {
   fclose(fd);
-  sprintf(temp, "%s /usr/doc/GXedit/quickref.txt &", progname);
+  sprintf(temp, "%s /usr/share/gxedit/quickref.txt &", progname);
   system(temp);
  }
  else
@@ -5932,11 +5945,12 @@
 
 void CB_chars(GtkWidget *widget, gpointer data)
 {
- fd = fopen("/usr/doc/GXedit/charmap.txt", "r");
+ /* next line may not work if you're not using debian packaging */
+ fd = fopen("/usr/share/gxedit/charmap.txt", "r");
  if(fd!=NULL)
  {
   fclose(fd);
-  sprintf(temp, "%s /usr/doc/GXedit/charmap.txt &", progname);
+  sprintf(temp, "%s /usr/share/gxedit/charmap.txt &", progname);
   system(temp);
  }
  else
@@ -6047,7 +6061,10 @@
  if(strt_debug) fprintf(stdout, "GXedit: Making GUI engine\n");
  make_gui();
  if(strcmp(current_project,"")) CB_project_open_ok2(current_project);
- if(j == 1) msgbox("Welcome to GXedit! I created ~/.gxedit where I will store your settings.\nThe User Manual is provided as text and PostScript in ./docs");
+ if(j == 1) msgbox("Welcome to GXedit! I created ~/.gxedit "
+		   "where I will store your settings.\n"
+		   "The User Manual is provided as text in /usr/share/gxedit "
+		   "and as PostScript in /usr/share/doc/gxedit");
  if(strt_debug) fprintf(stdout, "GXedit: Loading startup file\n");
  if(fortune && !strcasecmp(filename,"Unknown filename"))
  {
@@ -6922,13 +6939,13 @@
  if(tooltips)
   gtk_tooltips_set_tip(tips, menuitem, "Open this text in vi", "");
 
- menuitem = gtk_menu_item_new_with_label("Open in Netscape");
+ menuitem = gtk_menu_item_new_with_label("Open in Mozilla");
  gtk_menu_append(GTK_MENU(menu), menuitem);
  gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate",
   GTK_SIGNAL_FUNC(CB_netscape), GTK_OBJECT(window));
  gtk_widget_show(menuitem);
  if(tooltips)
-  gtk_tooltips_set_tip(tips, menuitem, "Open this text in netscape", "");
+  gtk_tooltips_set_tip(tips, menuitem, "Open this text in Mozilla", "");
 
  menuitem = gtk_menu_item_new_with_label("Open in ...");
  gtk_menu_append(GTK_MENU(menu), menuitem);
@@ -7108,13 +7125,13 @@
  gtk_menu_append(GTK_MENU(menu), menuitem);
  gtk_widget_show(menuitem);
 
- menuitem = gtk_menu_item_new_with_label("Preview in Netscape");
+ menuitem = gtk_menu_item_new_with_label("Preview in Mozilla");
  gtk_menu_append(GTK_MENU(menu), menuitem);
  gtk_signal_connect_object(GTK_OBJECT(menuitem), "activate",
   GTK_SIGNAL_FUNC(CB_netscape), NULL);
  gtk_widget_show(menuitem);
  if(tooltips)
-  gtk_tooltips_set_tip(tips, menuitem, "Open file in Netscape", "");
+  gtk_tooltips_set_tip(tips, menuitem, "Open file in Mozilla", "");
 
  menuitem = gtk_menu_item_new_with_label("Launch images viewer");
  gtk_menu_append(GTK_MENU(menu), menuitem);
@@ -7439,7 +7456,7 @@
   GTK_SIGNAL_FUNC(CB_files_xfm), GTK_OBJECT(window));
  gtk_widget_show(menuitem);
  if(tooltips)
-  gtk_tooltips_set_tip(tips, menuitem, "Start XFM", "");
+  gtk_tooltips_set_tip(tips, menuitem, "Start File Manager", "");
 
  menubutton = gtk_menu_item_new_with_label("Files operations");
  gtk_widget_show(menubutton);
--- gxedit-1.23.orig/gxedit.h
+++ gxedit-1.23/gxedit.h
@@ -8,6 +8,7 @@
 #include <stdlib.h>
 #include <string.h>  
 #include <math.h>
+#include <time.h>
 #include <sys/time.h>
 #include <gtk/gtk.h>
 #include "config.h"
--- gxedit-1.23.orig/utils.c
+++ gxedit-1.23/utils.c
@@ -300,7 +300,7 @@
  auto_indent = 0;
  mail_cmd = 0;
  access_opt = 0;
- audio = 0;
+ audio = 1;
  x_pos = 20;
  y_pos = 20;
  reply = 0;
@@ -315,7 +315,7 @@
  strcpy(dict,"english");
  strcpy(cvs_root,":pserver:anonymous@anoncvs.gnome.org:/cvs/gnome");
  strcpy(cvs_dir,"/usr/src/cvs");
- strcpy(images,"xv");
+ strcpy(images,"gqview");
  strcpy(mail_server, "localhost");
  strcpy(mail_from, "root@localhost");
  strcpy(default_news, "");
@@ -339,11 +339,11 @@
   fputs("#   aplication: <number> <1 word name> <icon file name> <command line>\n", fd);
   fputs("#   script: <number> <file name> <description>\n", fd);
   fputs("# Example:\n", fd);
-  fputs("#   application: 1 Netscape /usr/X11R6/include/X11/pixmaps/mini-nscape.xpm /usr/local/bin/netscape\n", fd);
-  fputs("script: 1 /usr/share/GXedit/userinfo.scr Get user info\n", fd);
-  fputs("script: 2 /usr/share/GXedit/popmail.scr Fetch POP3 mail\n", fd);
-  fputs("script: 3 /usr/share/GXedit/www.scr Browse the web\n", fd);
-  fputs("script: 4 /usr/share/GXedit/traceroute.scr Traceroute\n", fd);
+  fputs("#   application: 1 Mozilla /usr/X11R6/include/X11/pixmaps/mini-nscape.xpm /usr/bin/mozilla\n", fd);
+  fputs("script: 1 /usr/share/gxedit/userinfo.scr Get user info\n", fd);
+  fputs("script: 2 /usr/share/gxedit/popmail.scr Fetch POP3 mail\n", fd);
+  fputs("script: 3 /usr/share/gxedit/www.scr Browse the web\n", fd);
+  fputs("script: 4 /usr/share/gxedit/traceroute.scr Traceroute\n", fd);
  }
  fclose(fd);
 }
@@ -357,7 +357,7 @@
   fprintf(stderr, "GXedit: Fatal error: Can't open temporary file in /tmp\n");
   exit(1);
  }
- fputs("pixmap_path \".:/usr/X11R6/include/X11/pixmaps\"\n", fd);
+ fputs("pixmap_path \".:/usr/X11R6/include/X11/pixmaps:/usr/share/pixmaps\"\n", fd);
  fputs("style \"text\"\n", fd);
  fputs("{\n", fd);
  sprintf(temp, "font = \"%s\"\n", font);
@@ -756,6 +756,7 @@
  fputs("mail_cmd: 0\n", fd);
  fputs("use_xrn: 1\n", fd);
  fputs("access: 0\n", fd);
+ fputs("audio: 1\n", fd);
  fputs("tooltips: 1\n", fd);
  fputs("x_size: 700\n", fd);
  fputs("y_size: 400\n", fd);
@@ -765,7 +766,7 @@
  extract_color(&color, 0, 0, 0);
  gdk_color_alloc(cmap, &color);
  fputs("debug: 0\n", fd);
- fputs("images: xv\n", fd);
+ fputs("images: gqview\n", fd);
  fputs("line_wrap: 1\n", fd);
  fputs("page_width: 0\n", fd);
  fputs("tab_width: 8\n", fd);
@@ -796,18 +797,17 @@
  fputs("sed_macro_title: 3 Remove all spaces\n", fd);
  fputs("sed_macro: 3 s/ //g\n", fd);
  fputs("filter_title: 1 Import a .dvi file\n", fd);
- fputs("filter_comment: 1 Filter available from www.mesa.nl/pub/dvi2tty/dvi2tty-5.3.tar.gz\n", fd);
- fputs("filter: 1 /usr/local/bin/dvi2tty $i > $o\n", fd);
- fputs("filter_title: 2 Query an RPM package\n", fd);
- fputs("filter_comment: 2 RPM available from ftp.redhat.com\n", fd);
- fputs("filter: 2 rpm -qp $i > $o\n", fd);
- fputs("filter: 2 rpm -qip $i >> $o\n", fd);
- fputs("filter: 2 rpm -qlp $i >> $o\n", fd);
+ fputs("filter_comment: 1 Filter available in Debian package dvi2tty (in tex section)\n", fd);
+ fputs("filter: 1 dvi2tty $i > $o\n", fd);
+ fputs("filter_title: 2 Query a Debian package\n", fd);
+ fputs("filter_comment: 2 Filter available in Debian package dpkg (in base section)\n", fd);
+ fputs("filter: 2 dpkg -I $i > $o\n", fd);
+ fputs("filter: 2 dpkg -c $i >> $o\n", fd);
  fputs("filter_title: 3 Import a WP5 file\n", fd);
  fputs("filter_comment: 3 Filter available from sunsite.unc.edu/pub/Linux/utils/text/wp2x.zip\n", fd);
  fputs("filter: 3 wp2x /usr/local/lib/wp2x/ascii.cfg $i > $o\n", fd);
  fputs("filter_title: 4 Import a Word 6 file\n", fd);
- fputs("filter_comment: 4 Filter available from ftp.tex.ac.uk/tex-archive/tools/word2x\n", fd);
+ fputs("filter_comment: 4 Filter available in Debian package word2x (in section text)\n", fd);
  fputs("filter: 4 word2x -f text $i $o\n", fd);
  fclose(fd);
 }
--- gxedit-1.23.orig/debian/README.debian
+++ gxedit-1.23/debian/README.debian
@@ -0,0 +1,7 @@
+gxedit for DEBIAN
+----------------------
+
+I changed some defaults to make it fit into the Debian system. Also I did
+not include the say command. You can get this from the rsynth package.
+
+Michael Meskes <meskes@debian.org>, Mon, 19 Oct 1998 17:09:29 +0200
--- gxedit-1.23.orig/debian/TODO
+++ gxedit-1.23/debian/TODO
@@ -0,0 +1,11 @@
+* The various plugins and scripts need to be a little bit better
+  organized and debianized.  I've made a start, but I don't think it's
+  complete.  Any ideas or suggestions from users will be gratefully
+  accepted.  (Feel free to file wishlist bugs against the debian package).
+
+* Need to register with debian documentation system?
+
+* The encryption features probably don't work on a normal debian system.
+  Any suggestions/patches will be appreciated.
+
+ -- Chris Waters <xtifr@debian.org>  Mon,  9 Apr 2001 19:39:02 -0700
--- gxedit-1.23.orig/debian/changelog
+++ gxedit-1.23/debian/changelog
@@ -0,0 +1,106 @@
+gxedit (1.23-8) unstable; urgency=low
+
+  * Updated for newer standards.
+  * Changed to use xfm instead of (removed package) gmc and gqview instead
+    of (removed package) eeyes, by default.  Suggestions changed to match.
+
+ -- Chris Waters <xtifr@debian.org>  Thu, 22 May 2003 22:48:20 -0700
+
+gxedit (1.23-7) unstable; urgency=low
+
+  * patched gtk-shell -ef to print an error message when it is unable to
+    save a file, rather than crashing (closes:#94885)
+
+ -- Chris Waters <xtifr@debian.org>  Mon, 23 Apr 2001 10:19:58 -0700
+
+gxedit (1.23-6) unstable; urgency=low
+
+  * Added "Replaces: gxedit (<< 1.23-5)" to gxproc and gtk-shell to ensure
+    smooth upgrades.
+  * Added missing dependency on xterm|x-terminal-emulator.
+  * Edited gxproc man page to refer to gxproc instead of xproc.
+
+ -- Chris Waters <xtifr@debian.org>  Thu, 12 Apr 2001 16:13:35 -0700
+
+gxedit (1.23-5) unstable; urgency=low
+
+  * Complete reorganization, the xproc and gtk-shell programs are split
+    into sub-packages (closes:#93046).
+  * Updated standards-version, added build-depends.
+  * Moved all from /usr/X11/bin to /usr/bin (also moved man pages, etc.)
+  * Fixed compatibility bug with new libc headers, includes time.h in
+    gxedit.h instead of assuming that sys/time.h will automatically
+    include it as well (closes:#92307).
+  * Modified to call x-terminal-emulator instead of xterm
+    (closes:#93045).
+  * Renamed the xproc binary to gxproc, to avoid namespace pollution.
+
+ -- Chris Waters <xtifr@debian.org>  Tue, 10 Apr 2001 00:06:16 -0700
+
+gxedit (1.23-4) frozen unstable; urgency=medium
+
+  * Fixed severe bug with font selection: wasn't setting the default font,
+    so that if you just set the size, the returned font was invalid, and
+    then was assuming that returned font was valid!  (closes: #60302)
+
+ -- Chris Waters <xtifr@debian.org>  Tue, 28 Mar 2000 23:20:32 -0800
+
+gxedit (1.23-3) unstable; urgency=low
+
+  * recompiled with locale support enabled.
+
+ -- Chris Waters <xtifr@debian.org>  Thu, 16 Dec 1999 01:01:46 -0800
+
+gxedit (1.23-2) unstable; urgency=low
+
+  * added man pages for gxedit, xproc and gtk-shell.
+  * added suggestion of cvs (since gxedit has cvs support).
+  * recompiled against glibc2.1
+
+ -- Chris Waters <xtifr@debian.org>  Tue,  6 Jul 1999 00:15:01 -0700
+
+gxedit (1.23-1) unstable; urgency=low
+
+  * New upstream version
+
+ -- Chris Waters <xtifr@debian.org>  Tue, 30 Mar 1999 01:17:36 -0800
+
+gxedit (1.22-1) unstable; urgency=low
+
+  * New upstream version
+
+ -- Chris Waters <xtifr@debian.org>  Sat, 13 Mar 1999 05:14:59 -0800
+
+gxedit (1.20-2) unstable; urgency=low
+
+  * (this version was not released)
+  * removed "suggests:" of non-free package 'rsynth'
+  * reconfigured to use gtk1.2
+
+ -- Chris Waters <xtifr@debian.org>  Mon,  8 Mar 1999 14:21:18 -0800
+
+gxedit (1.20-1) unstable; urgency=low
+
+  * compiled with gtk1.0 (1.1 is too unstable for my tastes), has
+    less-elegant font selection, but new upstream version should make up
+    for that.
+  * manuals now provided -- text versions in /usr/share/gxedit (used by
+    gxedit internally), postscript in /usr/doc/gxedit.
+  * some example files in /usr/doc/gxedit/examples
+  * bundled program gtk-shell added to package
+  * added upstream ftp scripts (stored in /usr/share/gxedit)
+  * created menu entry for bundled program 'xproc'
+  * new upstream version
+  * new maintainer
+
+ -- Chris Waters <xtifr@debian.org>  Sat, 20 Feb 1999 03:13:19 -0800
+
+gxedit (1.15-1) unstable; urgency=low
+
+  * Initial Release.
+  * Changed defaults to fit into Debian and use Gnome software where
+    possible.
+
+ -- Michael Meskes <meskes@debian.org>  Mon, 19 Oct 1998 17:09:29 +0200
+
+
--- gxedit-1.23.orig/debian/compat
+++ gxedit-1.23/debian/compat
@@ -0,0 +1 @@
+4
--- gxedit-1.23.orig/debian/control
+++ gxedit-1.23/debian/control
@@ -0,0 +1,39 @@
+Source: gxedit
+Section: editors
+Priority: optional
+Maintainer: Chris Waters <xtifr@debian.org>
+Standards-Version: 3.5.9
+Build-depends: libgtk1.2-dev, xlibs-dev, debhelper (>= 4.0.0)
+
+Package: gxedit
+Architecture: any
+Depends: ${shlibs:Depends}, xterm | x-terminal-emulator
+Recommends: gtk-shell, gxproc
+Suggests: cvs, xfm, gqview, xrn, mozilla
+Description: GTK-based text editor
+ GXedit is a graphical text editor, featuring everything a modern text editor
+ should have including a toolbar, multiple windows options, scripting, cvs
+ support, language support for C, html, perl and java, and it is network
+ aware. It can display pixmaps in the background, and can use a 'say' program
+ (e.g., the one in the non-free rsynth package) to "speak" your files.
+
+Package: gtk-shell
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}
+Replaces: gxedit (<< 1.23-5)
+Description: GTK-based pop-up command to get user input
+ This utility, which was previously bundled with the gxedit package,
+ pops up a window to ask user for input: text, multiple-choice, or file.
+ Can be used in scripts or called from other programs.
+
+Package: gxproc
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}
+Replaces: gxedit (<< 1.23-5)
+Description: GTK-based utility to show system information
+ This utility, which was previously bundled with the gxedit package,
+ pops up a window with information about your kernel, processor, etc.
+ .
+ The program was previously named xproc.
--- gxedit-1.23.orig/debian/copyright
+++ gxedit-1.23/debian/copyright
@@ -0,0 +1,16 @@
+This package was debianized by Michael Meskes meskes@usa.net on
+Mon, 19 Oct 1998 17:09:29 +0200.
+
+It was downloaded from http://devplanet.fastethernet.net/gxedit.html
+
+Upstream Author: Patrick Lambert <drow@darkelf.net> <drow@fastethernet.net>
+
+Copyright:
+
+   (C) 1998 Patrick Lambert
+
+   GXedit is free software. You can use, copy and modify it under
+   the terms of the GPL.
+
+On Debian GNU/Linux systems, the complete text of the GNU General Public
+ License (Version 2.0) can be found in `/usr/share/common-licenses/GPL'.
--- gxedit-1.23.orig/debian/gtk-shell.1
+++ gxedit-1.23/debian/gtk-shell.1
@@ -0,0 +1,75 @@
+.\" manual page for gtk-shell -*- nroff -*-
+.\" created by Chris Waters <xtifr@debian.org> for Debian
+.TH gtk-shell 1
+.SH NAME
+gtk-shell \- prompt for user input
+.SH SYNOPSIS
+.B gtk-shell
+.I "[options]"
+.SH "DESCRIPTION"
+This manual page briefly documents the
+.BR gtk-shell
+program.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+.B gtk-shell
+is a GTK-based program which pops up a window and asks for user
+input.  It can be used in scripts or called from other programs.
+.SH OPTIONS
+The program uses short options, starting with one dash (`-'), or long
+options starting with two dashes.
+.TP
+.B \-h, \-\-help
+Show summary of options. (This is the default if no arguments are
+given.)
+.TP
+.B \-v, \-\-version
+Show version of program.
+.TP
+.B \-o, \-\-output <file>
+Set the output file, default is stdout.
+.TP
+.B \-t, \-\-title <title>
+Set the window title.
+.TP
+.B \-l, \-\-label <label>
+Show a label to the user.
+.TP
+.B \-fs, \-\-file-selection
+Display a file selection box.
+.TP
+.B \-s,  \-\-size <x> <y>
+Set the size of the window.
+.TP
+.B \-p,  \-\-position <x> <y>
+Set the position of the window on the screen.
+.TP
+.B \-q, \-\-query
+Display a query box.
+.TP
+.B \-qv, \-\-query-value <value>
+Set a default value in a query box.
+.TP
+.B \-eol, \-\-append-eol
+Appends an EOL char at output time.
+.TP
+.B \-ec, \-\-exit-code <str>
+String to display if user presses Cancel.
+.TP
+.B \-vf, \-\-view-file <file>
+View a file in a text box.
+.TP
+.B \-ef, \-\-edit-file <file>
+Edit a file in a text box.
+.TP
+.B \-b, \-\-button <str>
+Add a button to quit.
+.TP
+.B \-c, \-\-choice <c1> <c2> ...
+Display a choice box with the specified choices.
+.SH "SEE ALSO"
+gxedit(1)
+.SH AUTHOR
+This manual page was written by Chris Waters <xtifr@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- gxedit-1.23.orig/debian/gtk-shell.dirs
+++ gxedit-1.23/debian/gtk-shell.dirs
@@ -0,0 +1 @@
+usr/bin
--- gxedit-1.23.orig/debian/gxedit.1
+++ gxedit-1.23/debian/gxedit.1
@@ -0,0 +1,55 @@
+.\" manual page for gxedit -*- nroff -*-
+.\" created by Chris Waters <xtifr@debian.org> for Debian
+.TH GXEDIT 1
+.SH NAME
+gxedit \- a graphical text editor
+.SH SYNOPSIS
+.B gxedit
+.I "[text file...] [options]"
+.br
+.SH "DESCRIPTION"
+This manual page briefly documents the
+.BR gxedit
+program.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+Instead, it has on-line help.
+.PP
+.B Gxedit
+is a GTK-based text editor with many useful features.  It can is very
+configurable, and allows the use of filters for handling different
+file formats, and awk(1) and sed(1) scripts for all sorts of purposes.
+It has support for cvs(1) and some basic HTML tags, and some network
+support, and can even be used as a simple mail or news reader.  One
+rather interesting feature is the "mirror" feature which allows other
+people to connect to your
+.B gxedit
+session and see everything you type.
+.SH OPTIONS
+.TP
+.B \-v
+Open file in view-only mode.
+.TP
+.B \-f
+Disables the menus and toolbars.
+.TP
+.B \-i
+Waits for input.  Usefule with tail -f.
+.TP
+.B \-d
+Gives debug information on startup.
+.TP
+.B \-r
+Resets the config file.
+.TP
+.B \-p file
+Loads a project file on startup.
+.TP
+.B \-s script
+Loads a script on startup.
+.SH "SEE ALSO"
+awk(1), sed(1), cvs(1), xproc(1x), gtk-shell(1x), the on-line help
+available from the "Help" menu item.
+.SH AUTHOR
+This manual page was written by Chris Waters <xtifr@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- gxedit-1.23.orig/debian/gxedit.dirs
+++ gxedit-1.23/debian/gxedit.dirs
@@ -0,0 +1,2 @@
+usr/bin
+usr/share/gxedit
--- gxedit-1.23.orig/debian/gxedit.docs
+++ gxedit-1.23/debian/gxedit.docs
@@ -0,0 +1,3 @@
+README
+docs/manual.ps 
+docs/quickref.ps
--- gxedit-1.23.orig/debian/gxedit.examples
+++ gxedit-1.23/debian/gxedit.examples
@@ -0,0 +1 @@
+example.gxeditrc
--- gxedit-1.23.orig/debian/gxedit.menu
+++ gxedit-1.23/debian/gxedit.menu
@@ -0,0 +1,2 @@
+?package(gxedit):needs=X11 section=Apps/Editors\
+  title="GXedit" command="/usr/bin/gxedit"
--- gxedit-1.23.orig/debian/gxproc.1
+++ gxedit-1.23/debian/gxproc.1
@@ -0,0 +1,26 @@
+.\" manual page for xproc -*- nroff -*-
+.\" created by Chris Waters <xtifr@debian.org> for Debian
+.TH GXPROC 1
+.SH NAME
+gxproc \- display system info
+.SH SYNOPSIS
+.B gxproc
+.SH "DESCRIPTION"
+This manual page briefly documents the
+.BR gxproc
+program.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+.B gxproc
+is a GTK-based program which shows some possibly interesting
+information about your system.  It is provided with the gxedit
+program.  It has no options, and should be mostly self-explanatory.
+.SH "NOTES"
+This program was originally named xproc, but was renamed to avoid
+confusion with an older Debian package.
+.SH "SEE ALSO"
+gxedit(1)
+.SH AUTHOR
+This manual page was written by Chris Waters <xtifr@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- gxedit-1.23.orig/debian/gxproc.dirs
+++ gxedit-1.23/debian/gxproc.dirs
@@ -0,0 +1 @@
+usr/bin
--- gxedit-1.23.orig/debian/gxproc.menu
+++ gxedit-1.23/debian/gxproc.menu
@@ -0,0 +1,2 @@
+?package(gxproc):needs=X11 section=Apps/System\
+  title="GXproc" command="/usr/bin/gxproc"
--- gxedit-1.23.orig/debian/rules
+++ gxedit-1.23/debian/rules
@@ -0,0 +1,82 @@
+#!/usr/bin/make -f
+
+
+base=debian/gxedit
+xproc-base=debian/gxproc
+gshell-base=debian/gtk-shell
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+
+#	GNOME_CFLAGS="-DUSE_GNOME -I/usr/lib/gnome-libs/include/" 
+	$(MAKE)	gxe
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp install-stamp
+
+	-$(MAKE) clean
+
+	dh_clean
+
+install: install-stamp
+install-stamp: build-stamp
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+#	$(MAKE) install DESTDIR=debian/tmp
+# the "install" target for upstream makefile now requires
+# too much post-install hacking to use with debian package
+	install -s -m 755 gxedit $(base)/usr/bin
+	install -s -m 755 gxproc $(xproc-base)/usr/bin
+	install -s -m 755 gtk-shell $(gshell-base)/usr/bin
+	install -m 755 ftp.sh $(base)/usr/share/gxedit
+	install -m 755 ftp-ls.sh $(base)/usr/share/gxedit
+	install -m 755 ftp-put.sh $(base)/usr/share/gxedit
+	install -m 644 docs/manual.txt $(base)/usr/share/gxedit
+	install -m 644 docs/quickref.txt $(base)/usr/share/gxedit
+	install -m 644 docs/charmap.txt $(base)/usr/share/gxedit
+	install -m 644 userinfo.scr $(base)/usr/share/gxedit
+	install -m 644 popmail.scr $(base)/usr/share/gxedit
+	install -m 644 traceroute.scr $(base)/usr/share/gxedit
+	install -m 644 www.scr $(base)/usr/share/gxedit
+
+	touch install-stamp
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+#	dh_testversion
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman -pgxedit debian/gxedit.1
+	dh_installman -pgtk-shell debian/gtk-shell.1
+	dh_installman -pgxproc debian/gxproc.1
+	dh_installchangelogs CHANGELOG
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_makeshlibs
+	dh_md5sums
+	dh_builddeb
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+binary: binary-indep binary-arch
+ok: binary
+.PHONY: build clean binary-indep binary-arch binary ok
--- gxedit-1.23.orig/gtk-shell-src/gtk-shell.c
+++ gxedit-1.23/gtk-shell-src/gtk-shell.c
@@ -71,10 +71,17 @@
 {
  char *alltext = gtk_editable_get_chars(GTK_EDITABLE (text), 0, gtk_text_get_length(GTK_TEXT(text)));
  fd=fopen(filename,"w");
- fputs((char*)alltext,fd);
- if(fd!=NULL) fclose(fd);
- g_free(alltext);
- exit(0);
+ if (fd==NULL) 
+ {
+  print_err("Can't save file\n");
+ }
+ else
+ {
+  fputs((char*)alltext,fd);
+  fclose(fd);
+  g_free(alltext);
+  exit(0);
+ }
 }
 
 void CB_fs_ok(GtkWidget *widget, GtkFileSelection *fs)
--- gxedit-1.23.orig/xproc-src/Makefile
+++ gxedit-1.23/xproc-src/Makefile
@@ -3,14 +3,14 @@
 LIBS = `gtk-config --libs`
 
 all:
-	gcc $(CFLAGS) -o $(BIN_DIR)xproc xproc.c $(LIBS)
+	gcc $(CFLAGS) -o $(BIN_DIR)gxproc xproc.c $(LIBS)
 
 install:
-	cp $(BIN_DIR)xproc /usr/X11R6/bin/xproc
+	cp $(BIN_DIR)gxproc /usr/X11R6/bin/gxproc
 
 distro:
-	gcc $(CFLAGS) -o $(BIN_DIR)xproc xproc.c -L/usr/local/lib -L/usr/X11R6/lib /usr/lib/libgtk.a /usr/lib/libgdk.a /usr/lib/libglib.a /usr/lib/libgmodule.a -lXext -lX11 -lm -ldl
+	gcc $(CFLAGS) -o $(BIN_DIR)gxproc xproc.c -L/usr/local/lib -L/usr/X11R6/lib /usr/lib/libgtk.a /usr/lib/libgdk.a /usr/lib/libglib.a /usr/lib/libgmodule.a -lXext -lX11 -lm -ldl
 
 clean:
-	rm -f xproc
+	rm -f gxproc
  
